# arm_svm_sigmoid_instance_f16 Struct Reference

CMSIS-DSP: arm_svm_sigmoid_instance_f16 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_svm_sigmoid_instance_f16 Struct Reference

Instance structure for sigmoid SVM prediction function.

## Data Fields

uint32_t | nbOfSupportVectors
uint32_t | vectorDimension
float16_t | intercept
const float16_t * | dualCoefficients
const float16_t * | supportVectors
const int32_t * | classes
float16_t | coef0
float16_t | gamma

## Field Documentation

const int32_t* classes

The two SVM classes

float16_t coef0

Independent constant

const float16_t* dualCoefficients

Dual coefficients

float16_t gamma

Gamma factor

float16_t intercept

Intercept

uint32_t nbOfSupportVectors

Number of support vectors

const float16_t* supportVectors

Support vectors

uint32_t vectorDimension

Dimension of vector space